You are not logged in.

#1 2011-02-20 17:03:11

LeCrayonVert
Member
Registered: 2010-09-01
Posts: 133

gscan2pdf and perl issues

I'm trying to recreate a gscan2pdf package from AUR http://aur.archlinux.org/packages.php?ID=7710
I've changed the PKGBUILD to match the latest version 0.9.32, the build and the install seem to be ok
I've also removed the patch that is not needed  anymore.

But when I run gscan2pdf :

Can't locate Font/TTF/Font.pm in @INC (@INC contains: /usr/lib/perl5/site_perl /usr/share/perl5/site_perl /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5/core_perl /usr/share/perl5/core_perl .) at /usr/share/perl5/vendor_perl/PDF/API2/Resource/CIDFont/TrueType/FontFile.pm line 8.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/PDF/API2/Resource/CIDFont/TrueType/FontFile.pm line 8.
Compilation failed in require at /usr/share/perl5/vendor_perl/PDF/API2/Resource/CIDFont/TrueType.pm line 8.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/PDF/API2/Resource/CIDFont/TrueType.pm line 8.
Compilation failed in require at /usr/share/perl5/vendor_perl/PDF/API2.pm line 21.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/PDF/API2.pm line 21.
Compilation failed in require at /usr/bin/site_perl/gscan2pdf line 149.
BEGIN failed--compilation aborted at /usr/bin/site_perl/gscan2pdf line 149.

I do not know anything about perl, could someone help me to fix this issue ?

Thanks


I believe in a world I can and do understand. A rational universe, explained through rational means.

Offline

#2 2011-02-20 19:54:43

LeCrayonVert
Member
Registered: 2010-09-01
Posts: 133

Re: gscan2pdf and perl issues

According to fthieme (see AUR comment), it was just a missing perl-font-ttf package.
I can confirm that. I'm working on a new PKGBUILD right now wink


I believe in a world I can and do understand. A rational universe, explained through rational means.

Offline

#3 2011-02-20 21:58:34

LeCrayonVert
Member
Registered: 2010-09-01
Posts: 133

Re: gscan2pdf and perl issues

Package updated :
- follows PKBUILD guidelines (use $pkgdir and $srcdir}, removed || return 1
- removed removefork patch (failed on 0.9.32 sources)
- add perl-font-ttf as dependency
- create symlinks in /usr/bin/ for /usr/bin/site_perl/* scripts (this way, you won't have to add /usr/bin/site_perl to your PATH)
- perl cleaning (.packlist and perlloacl.pod) follows guidelines too

Let me know if something doesn't work properly !


I believe in a world I can and do understand. A rational universe, explained through rational means.

Offline

#4 2011-02-21 13:48:27

anadyr
Member
Registered: 2005-02-10
Posts: 216

Re: gscan2pdf and perl issues

I installed a few minutes ago. It compiled without any errors. But when I try to run gscan2pdf, I get this error:
Can't locate Log/Log4perl.pm in @INC

Any ideas on how to fix this?

edit: Pacman -Sy perl-log-log4perl
This dependency might not listed?

Last edited by anadyr (2011-02-21 13:51:36)

Offline

#5 2011-02-21 13:51:13

LeCrayonVert
Member
Registered: 2010-09-01
Posts: 133

Re: gscan2pdf and perl issues

Install perl-log-log4perl from AUR
I will change the PKGBUILD right now to add this to depends


I believe in a world I can and do understand. A rational universe, explained through rational means.

Offline

#6 2011-02-24 16:01:16

twhayes
Member
Registered: 2007-10-09
Posts: 25

Re: gscan2pdf and perl issues

I can install 'gscan2pdf' using the PKGBUILD with no problems and it starts fine, but when I click 'Scan,' I get the error below.  The dialog box is displayed and the search for devices starts, but as the device name is being displayed, everything crashes.

Would appreciate any help.  Thanks. 


Argument "ARRAY(0xc3507e8)" isn't numeric in subroutine entry at /usr/bin/gscan2pdf line 12819.
zsh: segmentation fault  gscan2pdf

Offline

#7 2011-02-24 17:15:26

LeCrayonVert
Member
Registered: 2010-09-01
Posts: 133

Re: gscan2pdf and perl issues

I don't have this issue, so it must be related to your scanner. What model it is ?
Have you set libsane-perl frontend in gscan2pdf preferences ?


/usr/bin/gscan2pdf :

12815  # FIXME: Stringification to force this SV to have a PV slot.  This seems to
12816  # be necessary to get through Sane.pm's value checks.
12817  $value = "$value";
12818 
12819  my $info = $self->{device_handle}->set_option( $index, $value );
12820  $logger->info("sane_set_option returned status $Sane::STATUS with info $info");

You should report a bug upstream  (see http://gscan2pdf.sourceforge.net/ "Reporting bugs" section)


I believe in a world I can and do understand. A rational universe, explained through rational means.

Offline

#8 2011-02-24 19:02:36

twhayes
Member
Registered: 2007-10-09
Posts: 25

Re: gscan2pdf and perl issues

Just to clarify my problem and solution.

I looked in ~/.gscan2pdf on the off chance that something was wrong in the config file.  It contained thousands of lines under default entry for "gamma-table."  I deleted all but three, but still got the error.  Then I deleted the entry for gamma-table completely and it worked fine.

So, the configuration file was causing the error.

Thanks for your help.

Offline

#9 2011-02-25 12:01:27

LeCrayonVert
Member
Registered: 2010-09-01
Posts: 133

Re: gscan2pdf and perl issues

twhayes >yeah, maybe .gscan2pdf file should have been replaced (when upgrading from 0.9.31 to 0.9.32).


I believe in a world I can and do understand. A rational universe, explained through rational means.

Offline

#10 2012-09-10 19:36:05

PS
Member
Registered: 2011-08-07
Posts: 6

Re: gscan2pdf and perl issues

Old thread, but same trouble. Compiling gscan2pdf works good. But starting gscan2pdf brings:

Perl API version v5.14.0 of HTML::Parser does not match v5.16.0 at /usr/share/perl5/core_perl/XSLoader.pm line 92.
Compilation failed in require at /usr/lib/perl5/site_perl/HTML/Entities.pm line 152.
Compilation failed in require at /usr/lib/perl5/site_perl/HTML/TokeParser.pm line 9.
BEGIN failed--compilation aborted at /usr/lib/perl5/site_perl/HTML/TokeParser.pm line 9.
Compilation failed in require at /usr/share/perl5/site_perl/Gscan2pdf/Page.pm line 11.
BEGIN failed--compilation aborted at /usr/share/perl5/site_perl/Gscan2pdf/Page.pm line 11.
Compilation failed in require at /usr/share/perl5/site_perl/Gscan2pdf/Document.pm line 9.
BEGIN failed--compilation aborted at /usr/share/perl5/site_perl/Gscan2pdf/Document.pm line 9.
Compilation failed in require at /usr/bin/gscan2pdf line 127.
BEGIN failed--compilation aborted at /usr/bin/gscan2pdf line 127.

Which perl parser have to be changed?

Offline

Board footer

Powered by FluxBB